<?php
	/**************************************************************************\
	* eGroupWare - ExpressoMail Preferences                                    *
	* http://www.expressolivre.org                                             *	
	* Modified by Alexandre Felipe Muller de Souza <amuller@celepar.pr.gov.br> *
	* --------------------------------------------                             *
	*  This program is free software; you can redistribute it and/or modify it *
	*  under the terms of the GNU General Public License as published by the   *
	*  Free Software Foundation; either version 2 of the License, or (at your  *
	*  option) any later version.                                              *
	\**************************************************************************/
include_once("fckeditor.php");
$type = $_GET['type']; // FIX ME

$default = array(
	'25'	=> '25',
	'50'	=> '50',
	'75'	=> '75',
	'100'	=> '100'
);

create_select_box(lang('What is the maximum number of messages per page?'),'max_email_per_page',$default,
	'What is the maximum number of messages per page?');
create_check_box(lang('Save deleted messages in trash folder?'),'save_deleted_msg','Save deleted messages in trash folder?');
$default = array(
	'1'    => lang('1 day'),
	'2'    => lang('2 days'),
	'3'    => lang('3 days'),
	'4'   => lang('4 days'),
	'5'   => lang('5 days')
);

create_select_box(lang('Delete trash messages after how many days?'),'delete_trash_messages_after_n_days',$default,lang('Delete trash messages after how many days?'));
create_check_box(lang('Would you like to use local messages?'),'use_local_messages','');
create_check_box(lang('Would you like to keep archived messages?'),'keep_archived_messages','');
create_check_box(lang('Show previous message, after delete actual message?'),'delete_and_show_previous_message','');
create_check_box(lang('Do you wanna receive an alert for new messages?'),'alert_new_msg','');
create_check_box(lang('Show default view on main screen?'),'mainscreen_showmail','');
create_check_box(lang('Do you want to use remove attachments function?'),'remove_attachments_function','');
create_check_box(lang('Do you want to use important flag in email editor?'),'enable_important_flag','');

//TODO use default folders from email admin
$default = array(
	'INBOX'	=>	lang('INBOX'),
	'INBOX/'.lang('Drafts')	=> lang('Drafts'),
	'INBOX/'.lang('Sent')	=> lang('Sent'),
	'INBOX/'.lang('Trash')	=> lang('Trash')
);
create_select_box(lang('Save sent messages in folder'),'save_in_folder',$default,'');
create_check_box(lang('Hide menu folders?'),'check_menu','');

$default = array(
	'20' => lang('normal'),
	'30' => lang('medium'),
	'40' => lang('big')
);

create_select_box(lang('What is the height of the lines in the list of messages?'),'line_height',$default,'');
$default = array(
	'10' => lang('small'),
	'11' => lang('normal'),
	'15' => lang('big')
);

create_select_box(lang('What the font size in the list of messages?'),'font_size',$default,'');
create_check_box(lang('Use dynamic contacts?'),'use_dynamic_contacts','');
create_check_box(lang('Use shortcuts?'),'use_shotcuts','');
create_check_box(lang('Auto save draft'),'auto_save_draft','');

$default = array(
	'text' => lang('simple text'),
	'html' => lang('rich text')
);

create_select_box(lang('Signature Type'),'type_signature',$default,'','','','onchange="javascript:changeType(this.value);" onload="javascript:alert(this.value);"');

if ($type == 'user'){
	$oFCKeditor = new FCKeditor('html_signature');
	$oFCKeditor->BasePath   = '../expressoMail1_2/js/fckeditor/';
	$oFCKeditor->ToolbarSet = 'ExpressoLivre';

	$vars = $GLOBALS['phpgw']->preferences->user[$appname];

	create_html_code("<div id='text_signature'>
		<textarea rows='5' cols='50' id='user[signature]' name='user[signature]'></textarea></div>
		<div style='display:none;' id='html_signature'>".$oFCKeditor->Create()."</div>
		<script language='javascript'>
document.getElementById('user[signature]').value  = '".$vars['signature']."';
function changeType(value){
	var html_signature = FCKeditorAPI.GetInstance(\"html_signature\");
	if(value == 'text'){
		document.getElementById('user[signature]').value = html_signature.GetHTML();
		document.getElementById(\"text_signature\").style.display = '';
		document.getElementById(\"html_signature\").style.display = 'none';
}
else if(value == 'html'){
	html_signature.SetHTML(document.getElementById('user[signature]').value);
	document.getElementById(\"text_signature\").style.display = 'none';
	document.getElementById(\"html_signature\").style.display  = '';							     }
}
setTimeout('changeType(document.getElementsByName(\'user[type_signature]\')[0].value)',1500);
</script>");
}
?>
